=== debian/changelog ===
sil (1.0.2) unstable; urgency=low

  * Initial Release.

 -- trompkins <maciej.stankiewicz@gmail.com>  Mon, 27 Feb 2012 14:05:54 +0100
