=== debian/control ===
Source: sil
Section: user/games
Priority: extra
Maintainer: trompkins <maciej.stankiewicz@gmail.com>
Build-Depends: debhelper (>= 5), libncurses5-dev (>= 5.7), libx11-dev (>= 1.1)
Standards-Version: 3.7.2

Package: sil
Architecture: any
Depends: libc6 (>= 2.5.0-1), libncurses5 (>= 5.7-1), libx11-6, xfonts-base (>= 1.0.0-5)
Description: Sil is a roguelike set in the First Age of Middle-earth.
 Sil is a descendent of Angband, but makes many changes.These changes have had several directions: to make the game much more true to the world Tolkien imagined, to increase the tactical depth in combat, to reduce the length of the game.
XB-Maemo-Display-Name: Sil
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAACXBIWXMAAAsT
 AAALEwEAmpwYAAAAIGNIUk0AAHolAACAgwAA+f8AAIDpAAB1MAAA6mAAADqY
 AAAXb5JfxUYAAA7mSURBVHjatJp7XJRl2se/zwwwnFEEBcFDSrUKGKitupkM
 YMFbW29m7efdtvLsZwOl1zQ7ysyAtYB2ek3cTde0snoz0XfbTmtxUFdANw4z
 w3A+IwznmYHhMDAz7x8PIpmlIjv/zefzPPf9+97XfV/XdV/XIxAQAIGBMDzM
 hP0EAcxmwoPuTAMorCrfiZsb2O0TN4eDAzQ14cBE/wQBenoICwlTfbhH8TzA
 k8+r+ou0RQo8PCYWApDi6QmenmCzTZj4haHhyvQUpaIqdzPtjV/wh7VvRhRq
 yoWWxvpsZLKJUS6RgMk0gQBjxL+fqlAkZMTzK2MOA6YG0spLOZiQJr+gnkCI
 CQUYER8eGq48kqpQ7DgZT05RJmsCwUUKbxbVUm0oJX1rmjxfXS7oJwJiwgAu
 i18QrjiSqlDuOBXP6X9lggs8PlV85HgX1NTXUt0zAqEpR99Yn3NLEBMCMCL+
 rtBwxdE0hXL7yXi+02QybT70D8LqSeJjGWaYOhfUulqquko5kJAmz1WX03or
 ELcMcNnbLFiYeCxFqXomI46coiwcJsPqx6GqCR6SADb4RgYPPwjaMqiqqUXT
 reP9rXvl57UV9nFb4pYAxqz8wRSFKvt0HCWVWTQiDqPWwqARVgWA3Qk+qQG1
 BqwDgBRmmOtw7ikhfnNa5AXNOC0xboDLKx8arvwwVaHcfiqO9wqyiJ8DMilU
 msE+CFTCQhcwGCBTA3Y38fUHfSHGF3YW1VHZreO9rXvkueM52OMCGONtjqYq
 FNtPxZFZnIXdBf5phs3+MHkY2rS+bFm+hUtdM+keDOX+eQ9QWVTBw3P6WDEV
 djXCkATqmuqoNOg4sHXPzXunmwa4Il51JFWh2HFqC98VZYIDzPwVRD8EB/8B
 oXp/Ep5+lyV3L2HAIuDrG8j9kSu55/Z7qc09R7q5lwfXQU8vGDuhprmOakPZ
 ZRcruWGImwK4EqRUH6UqEp/JiCe7KBPcxENq7IWOVrBenMKGxw9QoL1IY30t
 t82ehYe7G3n5eVQ1NrJo2SZOZ37PJfppbgKGAWeoaahF213K+wlpEXnqcskN
 BbsRAMnNbJvDKYrEz76MZ0l3JsE+wAB4TId7o6E1Bzbes46IZcEY2/QkJCSg
 1WrRarUkJCRgbNMTsSyYjfesozVHfMdjujhGsA8s6c7ksy/jOZyiSAwPDVfS
 0yPOfUu50FUR9vn/i+dwQSYWCWyeBg96wxkb+ARCgxb8Bvwwd5uRR0Vy7tw5
 Kisr6e3tpbOzk3uWL+fs2XNoqjSU2UuZuRi6W2DvVLjbDU52wSc1tVQbbzBi
 X9cCo34+XHEkVanYfjKe00WZIAO1C6jMoOuHY5PAkg2YQeYsQyaTYTKZsI1Z
 EJvNhslkQiaTIXOWgVl859gkcQyVWRwTGZwuymT7yXiOpCoVYQvCFdezxLUt
 cMVVJn6QqlBtPxXHd8VZ4AJYYNkK8J8Fn+VBkQXWBkKQBSSu0Tz68GPk5HxP
 fHw8er0ePz8/1q5dS0ZGBjGx/4m6pJzfuOYjnwMpDfClHn59H/j5QmP5yJlo
 qqXKUMKft+yR56rLrx3sfvYQjwaphYlHUhWq507G8X1xFjiJh07iBlJXKNGA
 dRjarJBjgP+aB0KLDpwX0dLexufHj7N8+XK8vb154403cHV3R2qzMlCzm5nB
 Fl6sgmaLGNia20BwBJMR7AOAI9RcqqO8W0f61j2ReeoK+0+C3TUBxkTYz1MV
 qqNfxPFRURY4wKQAmBYIAwPwQCxUVoBlEOiGYR2cq5iGm7SX3G/yWBh+P088
 /Xty8y7S3t7Jk08+QVt9B5++n4zR2cRfL/pgbjSDM+AGru4QsxLKyiDgNhBk
 MNALtfo6vHp0pManRZ65Onf6CYDdPjZIKZ/JiENbkUXynaAzgeNcmD8fygqh
 uBgsQ0ArxLrGcmjbIe4Pi6aq2oGUt/9CYUEx33zzFd1tWjrbajmfq8HF1Z3n
 la+Tl2vgpTU7iHvwGfQ6PVWGKixOUFwAw/2wLApMFvDpgNQ74ePKOk636ngv
 4apg9yMALy8wGggPXag8mqpQ7DgVT2ZxFq1WaLVB+u0w1QSf/wD9lhETtkOk
 i5yYu2JoaGqgrb2V6MhITmacZMo0H7o6OnCsP47UVAVTFjF9ViBnsrP57QP/
 QYlOS7O+maDpQQx3DlFnqBOtYYPuWkhwhIQASLkEBT1Qr6+j2lDKga1p8jx1
 uaBvrMvGxXUEwMsLBFgYHKY6kqpQbD8VPxphg++E+j442ggxU+DVGTDdBeoG
 Qaj24FPFCXLzz/Po6kcxmUwEBAYgkUjw8nQnJGwx7SZXZL4LifrtozhJ7Xh7
 exMQGMDg4CAR8gjycvPYufEl/jfjI/xmWPjvGbB7png21peBUQZzZ0F7N9Q0
 11I5AnFBXSFpudSQzaAFKRIJ4b9ZoTySlqjYcTKe74ozwQnu8ITijaBRQ6EB
 vu2Cc2aI9oaXfMHLbSVBi2L5+qsvCAgIwGQycfbsWVasWIFarabfbGJR5Apm
 z59PTVkZ7R0dLF68mBMnTuDt7c3w8DDnc8+zTB7JlPZyds+ppEuAF2vho2YY
 ssIj3vDNGvisCDqtIsTIzS4iX1Mp6EtLsqVL7v512uEDb7y85fAGssrOiK5y
 CA7/HgxO8PxXcOhpGLRCXgP8vRu+74Z67SDVmmZ2v5ZMZWUl2dnZNDY20tXV
 xYYNG6irr+fo4Q/IP59PSEgwq1at4sMPP6S0tJTOzk5mzJjB+vXrSdn9Ov+s
 zOcDjBxthXYzxATDyzGQegZilsDymfBpwRUXW9JZxMHtb8oLzl5wu3Ygk0Bd
 F6SfAbsrrI+Ge+aN5C4OUN4Mk/1C2LbtWZKTk/H392fp0qUEBQURGxvLvn37
 GBqy8NQft/DUH7cwNGRh3759xMbGEhQUxNKlS/H39yc5OZlt255lsl8I5c3i
 2AyLc62PFudOPyNq+bmQK8nXqHeu2ZmkenfdIe4Li4IRP/zs13Dsopjjd3RA
 Z7fos7EBvpBXdR4BGdP8/PH29sbR0ZGYmBicnZ0JDp6Hr18Q9UVfU1/0Nb5+
 QQQHz8PZ2ZmYmBgcHR3x9vZmmp8/AjLyqs6D78jYUnGujg5x7mMXRS04innT
 fWFRvLv6EGt2JKnyteqdUnx80Ju6sy8UlknSt6ZFVBtKqWmqFcVKxILdCQ2c
 rYGhMTWpQacBLGU1uHAnNVXF9Pb1MXv2bE4cP45V8KSsooSlssNMRU12lS9W
 q4wL57OZHxxMaWkp5SU6LP2eZOW/R56DVty6Ym6AthU+KYR248ii2a+I3/vI
 fta9oEoq1BUrsduR4uEBvlNpqa/JzldXCPu2psl7jaVMMtbSJYBUCu09YLOD
 oxQ8nOCRKfDiPFjhVEW/yY27Vm3ER+LOZ0c/R6FS8UNbFbN6dxM5qxd/z0E6
 ewsxBz7As09u5u3d7yC/V87suxcxXPwxMf5/Z+Ud4CRA07BohCErdPWCiyM4
 S2CJA9wbHEXiI/tZ/4JKVagpUOI1CYxGhNHaqNUKPT0sCA1XnkhRKIw/xFGl
 z2KuE3gNAiP5lIMAPi5wSQp1rpDoDroSKX7NAQz0GJFOd6P9rma2ecIfasR3
 js2Bt0zgWzwda7MZZw8v9NMvMT/YSlIvzO6DACt09MPwZSvbRTdabYEgv0i8
 FqWz+kWVSq0pVOLhIa5sU9MYgOHh0VQiNCRc8XGqQvk/TXHoBrJ42AZWuwgh
 sUGlI+gmwbAE+p3AyQ4DVtFCQ1ZwcoIZRkjSiloSQ6DRCyyWK884S8EigIsF
 HGww3wC3D4FNIoqXCvA3Ccx3jiQhMJ0nXlApNdpC1Wh9daS4+9NkTiajrak+
 55ymwp62Ki3y2y4dGd511PhAoRsUeUGzG9gEsAvgZBUPn5MAUrt41oZs4DsI
 8nbRcOd8oMNB3OaXn8EGjjawSsT7cYM7FHhBsTtoJ8G3DjC9PxLV7HSeeClJ
 odEWJv2oOPyLV0qZjLbG+pzz6nL7nx/dE1ndrKNZqGOyIzhawcEuerWfy9Kt
 AkyxQES7+D/HF7qcRPE/uXaMeEgHOzjZwFkAUy8s7o4k9bZ0nn5ZpVBfLf6G
 7sQyGa1N9Tn5JeW8s3qvXKvX0SCtxc3p+hXymwG4OsXv7INgYxTJcw6wbpdK
 WXwt8Td8qZfJ0DfW51woKRfeXp0mL9GXUncDEOMBkEigow9CjFEkzdnPhl0q
 VZFmzJ4fd1VChMi+qC0X3lqdJi9pKb2uJW4WYHTlDVEkzd3PxldVqkLtiLex
 2yegrCKT0dJUn31RWy5567G0CG1LKfW/AGEVwHMYotrE/99NA4PjtQEur/wY
 8UkF1xM/rsLWWIjH0yJ0zWU/2k7CyIG0CdDiAKFdsLxbPKAFblDsCR5XHf7R
 bWOIJiloVPyNtaLGVVocgbigLRfeeixNrmvRUe1Qh9QF+gCTFLwtENsMG5vE
 sGITYLER7FZodQG9k5gT2h2gqw8WGCJRzd3PhhvZNhNS3JXJ0I9A7PndHnl/
 lQ6P3jrukMBTzRDXAL/rApkA3YKYGsy0w0MGuLcbbh8EqQNMboUwQyQJ89PZ
 9MpNih8DIIyrzXo5YoeGK/6WvEt5POsVzvTXMsvVHaNgxSY4MoNeNlEIwEHC
 acQdiX0IL7uU+r5eVrjcxuORr/HwrmSl5pe8zXXarMK4+8SXIRaEJR7cnaJ6
 9vv3yO+/BJ6TwOZMAM38wEcALOJJLjEdJANgMrDEJYB3ojez6dUXFRp1UdK4
 2q8/m0rczE8mo62xIedfWg3vb3pGXtlUTE1vJzhLsNrtxFJNJzIOEcqQxAam
 Tla6erB/5Vo2vKJQqjXFSePuHU9Yk08mQ9/YkJNXUs2Bjc/Jq5vU1JgNDDlP
 Ya69hXrc+YckBHo6uM/Vizei41n7yp+URZoi1S01vie0zToSsfO1lUL6pu3y
 6kY1NWYTZmd3KgQfLvXYuc/Fg73R8ax9+TVV4a2K/7c0ukVLZF8YhSgmv8+C
 3uJAlMsk9kbHs04Ur5yQTw4mHOBynBiFeE5e3FBCgIMr76yMY93Lr6sKJkr8
 LbvRG2mIhISpju7dlQiwZkdyUuFEf+xxy270Bj63WRh0RxpAQVXFv+1zm/8f
 AGTpy7jx9uhGAAAAAElFTkSuQmCC
 ====
