## sil 1.0.2-1

=== debian/changelog ===
sil (1.0.2-1) unstable; urgency=low

  * Postinst script fixed.
  * A one-off Xorg restart is required in order to make properly sized fonts displayable.

 -- trompkins <maciej.stankiewicz@gmail.com>  Mon, 27 Feb 2012 20:41:39 +0100
